org.encog.neural.hyperneat

## Class HyperNEATCODEC

- java.lang.Object
- - org.encog.neural.hyperneat.HyperNEATCODEC

- All Implemented Interfaces:
    GeneticCODEC

      public class HyperNEATCODEC
      extends Object
      implements GeneticCODEC

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HyperNEATCODEC()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MLMethod` | `decode(Genome genome)` Decode the specified genome into a phenome.
    `MLMethod` | `decode(NEATPopulation pop, Substrate substrate, Genome genome)`
    `Genome` | `encode(MLMethod phenotype)` Attempt to build a genome from a phenome.
    `double` | `getMaxWeight()`
    `double` | `getMinWeight()`
    `void` | `setMaxWeight(double maxWeight)`
    `void` | `setMinWeight(double minWeight)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HyperNEATCODEC

          public HyperNEATCODEC()

  - ### Method Detail

    - #### decode

          public MLMethod decode(Genome genome)

      Decode the specified genome into a phenome. A phenome is an actual instance of a genome that you can query.
      Specified by:
        `decode` in interface `GeneticCODEC`
      Parameters:
        `genome` - The genome to decode.
      Returns:
        The phenome.

    - #### decode

          public MLMethod decode(NEATPopulation pop,
                        Substrate substrate,
                        Genome genome)

    - #### encode

          public Genome encode(MLMethod phenotype)

      Description copied from interface: `GeneticCODEC`
      Attempt to build a genome from a phenome. Note: not all CODEC's support this. If it is unsupported, an exception will be thrown.
      Specified by:
        `encode` in interface `GeneticCODEC`
      Parameters:
        `phenotype` - The phenotype.
      Returns:
        The genome.

    - #### getMaxWeight

          public double getMaxWeight()

      Returns:
        the maxWeight

    - #### getMinWeight

          public double getMinWeight()

      Returns:
        the minWeight

    - #### setMaxWeight

          public void setMaxWeight(double maxWeight)

      Parameters:
        `maxWeight` - the maxWeight to set

    - #### setMinWeight

          public void setMinWeight(double minWeight)

      Parameters:
        `minWeight` - the minWeight to set

Copyright © 2014. All Rights Reserved.